Bug 438102 - Review Request: ocaml-facile - OCaml library for constraint programming
Review Request: ocaml-facile - OCaml library for constraint programming
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 22:18 EDT by Kevin Kofler
Modified: 2008-04-09 01:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 18:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-03-18 22:18:35 EDT
Spec URL: http://repo.calcforge.org/f9/ocaml-facile.spec
SRPM URL: http://repo.calcforge.org/f9/ocaml-facile-1.1-1.fc8.src.rpm
Description:
FaCiLe is a constraint programming library on integer and integer set finite
domains written in OCaml. It offers all usual facilities to create and
manipulate finite domain variables, arithmetic expressions and constraints
(possibly non-linear), built-in global constraints (difference, cardinality,
sorting etc.) and search and optimization goals. FaCiLe allows as well to build
easily user-defined constraints and goals (including recursive ones), making
pervasive use of OCaml higher-order functionals to provide a simple and flexible
interface for the user. As FaCiLe is an OCaml library and not "yet another
language", the user benefits from type inference and strong typing discipline,
high level of abstraction, modules and objects system, as well as native code
compilation efficiency, garbage collection and replay debugger, all features of
OCaml (among many others) that allow to prototype and experiment quickly:
modeling, data processing and interface are implemented with the same powerful
and efficient language.

This is needed for the chemical equation solver/balancer in Kalzium (kdeedu).

rpmlint output and justification:
Spec URL: http://repo.calcforge.org/f9/ocaml-facile.spec
SRPM URL: http://repo.calcforge.org/f9/ocaml-facile-1.1-1.fc8.src.rpm
Description:
FaCiLe is a constraint programming library on integer and integer set finite
domains written in OCaml. It offers all usual facilities to create and
manipulate finite domain variables, arithmetic expressions and constraints
(possibly non-linear), built-in global constraints (difference, cardinality,
sorting etc.) and search and optimization goals. FaCiLe allows as well to build
easily user-defined constraints and goals (including recursive ones), making
pervasive use of OCaml higher-order functionals to provide a simple and flexible
interface for the user. As FaCiLe is an OCaml library and not "yet another
language", the user benefits from type inference and strong typing discipline,
high level of abstraction, modules and objects system, as well as native code
compilation efficiency, garbage collection and replay debugger, all features of
OCaml (among many others) that allow to prototype and experiment quickly:
modeling, data processing and interface are implemented with the same powerful
and efficient language.

This is needed for the chemical equation solver/balancer in Kalzium (kdeedu).


rpmlint output and justification:

> ocaml-facile.src:77: W: rpm-buildroot-usage %prep ./configure --faciledir $RPM_BUILD_ROOT%{_libdir}/ocaml/facile

Harmless, I don't install anything to $RPM_BUILD_ROOT in %prep, I only set the installation directory.

> ocaml-facile.src:78: E: configure-without-libdir-spec

See --faciledir. This is a custom configure script, not autoconf.

> ocaml-facile.src: W: spelling-error-in-description langage language
> ocaml-facile.src: W: spelling-error-in-description ment meant
> ocaml-facile.src: W: spelling-error-in-description langage language

That's the French %description(fr) (provided by upstream).

> ocaml-facile.src: E: description-line-too-long pervasive use of OCaml higher-order functionals to provide a simple and flexible
> ocaml-facile.src: E: description-line-too-long optimisé (pour toutes les plates-formes courantes), de la gestion automatique de

That's rpmlint not liking 80-char lines, harmless.

> ocaml-facile.i386: W: spelling-error-in-description langage language
> ocaml-facile.i386: W: spelling-error-in-description ment meant
> ocaml-facile.i386: W: spelling-error-in-description langage language
> ocaml-facile.i386: E: description-line-too-long pervasive use of OCaml higher-order functionals to provide a simple and flexible
> ocaml-facile.i386: E: description-line-too-long optimisé (pour toutes les plates-formes courantes), de la gestion automatique de

Same as above.

> ocaml-facile.i386: E: no-binary
> ocaml-facile.i386: E: only-non-binary-in-usr-lib

Normal for an OCaml library.

> ocaml-facile-devel.i386: W: no-documentation

All the documentation is in the main package.
Comment 1 Kevin Kofler 2008-03-18 22:31:30 EDT
Oops, actually rpmlint was right about the French description, I used incorrect 
syntax (must use %description -l fr, not %description(fr)). Fixed:
Spec URL: http://repo.calcforge.org/f9/ocaml-facile.spec
SRPM URL: http://repo.calcforge.org/f9/ocaml-facile-1.1-2.fc8.src.rpm
Comment 2 Rex Dieter 2008-03-21 10:21:12 EDT
I can review this today.
Comment 3 Rex Dieter 2008-03-21 10:34:03 EDT
dist-f9 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=525126

spec conforms to OCaml guidelines.

source matches upstream:
ab673e1fc0859a42bcb639a02c2d7e9e  facile-1.1.tar.gz

pkg name OK

License OK

Source OK, source matches upstream:
ab673e1fc0859a42bcb639a02c2d7e9e  facile-1.1.tar.gz

rest looks good, APPROVED.
Comment 4 Kevin Kofler 2008-03-21 14:03:03 EDT
New Package CVS Request
=======================
Package Name: ocaml-facile
Short Description: OCaml library for constraint programming
Owners: kkofler
Branches: F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-21 17:30:48 EDT
cvs done.
Comment 6 Kevin Kofler 2008-03-21 18:29:50 EDT
Imported and built for devel. I'll build the other branches and submit updates 
later.
Comment 7 Fedora Update System 2008-03-22 18:54:26 EDT
ocaml-facile-1.1-2.fc8.1 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-04-09 01:22:08 EDT
ocaml-facile-1.1-2.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.